// 
//    FILE: dht11.h
// VERSION: 0.3.2
// PURPOSE: DHT11 Temperature & Humidity Sensor library for Arduino
// LICENSE: GPL v3 (http://www.gnu.org/licenses/gpl.html)
//
// DATASHEET: http://www.micro4you.com/files/sensor/DHT11.pdf
//
//     URL: http://arduino.cc/playground/Main/DHT11Lib
//
// HISTORY:
// George Hadjikyriacou - Original version
// see dht.cpp file
// 

#ifndef dht11_h
#define dht11_h

#include <Arduino.h> 

const int DHT11_PIN = 51;

const int MEASURE_OK = 0;
const int MEASURE_BAD = -1;
const int MEASURE_FAILED = -2;

class dht11
{
public:
  // public methods
  dht11();
  ~dht11();
  int measure();
  // public properties
  int humidity;
  int temperature;
};

#endif

//
// END OF FILE
//


