//
//    FILE: leds.cpp
// VERSION: 0.1.0
// PURPOSE: Green/Yellow/Red leds panel for Arduino

#include "leds.h" 

// <<constructor>>  
leds::leds(){

  // make led panel pins OUTPUT
  pinMode(GREEN_PIN, OUTPUT); 
  pinMode(YELLOW_PIN, OUTPUT); 
  pinMode(RED_PIN, OUTPUT); 

}

// <<destructor>>
leds::~leds(){
}

// Turn all panel leds on
void leds::on(){
  
  digitalWrite(GREEN_PIN, HIGH); 
  digitalWrite(YELLOW_PIN, HIGH); 
  digitalWrite(RED_PIN, HIGH); 

}

// Turn green led on
void leds::green(){

  digitalWrite(GREEN_PIN, HIGH); 
  digitalWrite(YELLOW_PIN, LOW); 
  digitalWrite(RED_PIN, LOW); 

}

// Turn yellow led on
void leds::yellow(){

  digitalWrite(GREEN_PIN, LOW); 
  digitalWrite(YELLOW_PIN, HIGH); 
  digitalWrite(RED_PIN, LOW); 

}

// Turn red led on
void leds::red(){

  digitalWrite(GREEN_PIN, LOW); 
  digitalWrite(YELLOW_PIN, LOW); 
  digitalWrite(RED_PIN, HIGH); 

}

// Turn all panel leds off
void leds::off(){

  digitalWrite(GREEN_PIN, LOW); 
  digitalWrite(YELLOW_PIN, LOW); 
  digitalWrite(RED_PIN, LOW); 

}

// Blink all panel leds during time.
void leds::blink(int time){

  byte feedback;

  feedback = 0;
  bitWrite(feedback, 0, digitalRead(GREEN_PIN));
  bitWrite(feedback, 1, digitalRead(YELLOW_PIN));
  bitWrite(feedback, 2, digitalRead(RED_PIN));

  off();		
  delay(time/4);  
  on(); 		
  delay(time/2);  
  off();		
  delay(time/4);  

  // Restore previous feedback
  digitalWrite(GREEN_PIN, bitRead(feedback,0));
  digitalWrite(YELLOW_PIN, bitRead(feedback,1));
  digitalWrite(RED_PIN, bitRead(feedback,2));

}

